> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# `DELETE /api/v1/wishlists/&#123;id&#125;/items/&#123;product_id&#125;`

> `DELETE /api/v1/wishlists/&#123;id&#125;/items/&#123;product_id&#125;`

### Path parameters

<ParamField path="id" type="string" required>
  Wishlist ID (UUID)
</ParamField>

<ParamField path="product_id" type="string" required>
  Product ID (UUID) to remove
</ParamField>

### Responses

<ResponseField name="200" type="WishlistResponse">
  Item removed from wishlist
</ResponseField>

<ResponseField name="404" type="ErrorBody">
  Wishlist or item not found
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request DELETE \
    --url 'https://api.stateset.com/api/v1/wishlists/{id}/items/{product_id}' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "created_at": "2026-07-24T12:00:00Z",
    "customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "is_public": true,
    "items": [
      {
        "added_at": "2026-07-24T12:00:00Z",
        "note": null,
        "product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
      }
    ],
    "name": "string",
    "updated_at": "2026-07-24T12:00:00Z"
  }
  ```
</ResponseExample>
